interface InstallArgs {
    /**
     * The package manager to use (yarn, npm, pnpm).
     */
    packageManager: 'yarn' | 'npm' | 'pnpm';
    /**
     * Indicate whether there is an active Internet connection.
     */
    isOnline: boolean;
    /**
     * Indicate whether the given dependencies are devDependencies.
     */
    devDependencies?: boolean;
}
/**
 * Spawn a package manager installation with Yarn, NPM, or PNPM.
 *
 * @returns A Promise that resolves once the installation is finished.
 */
export declare function install(root: string, dependencies: string[] | null, { packageManager, isOnline, devDependencies }: InstallArgs): Promise<void>;
export {};
